use std::sync::Arc;

use async_trait::async_trait;
use como_domain::item::{requests::CreateItemDto, responses::CreatedItemDto};

pub type DynItemService = Arc<dyn ItemService + Send + Sync>;

#[async_trait]
pub trait ItemService {
    async fn add_item(&self, item: CreateItemDto) -> anyhow::Result<CreatedItemDto>;
}
